#ifndef _ADVSRAM_H
#define _ADVSRAM_H

// define the register 
#define ADVANTECH_SRAM_MANUFACTURE_ID   0xAA
#define DEFAULT_BANK_MEMORY_ADDRESS     0xDC000
#define DEFAULT_BANK_SWITCH_ADDRESS     0x1E0
#define DEFAULT_BANK_ENABLE_ADDRESS     0x1E1
#define DEFAULT_MANUFACTUREID_ADDRESS   0x1E6
#define DEFAULT_BANK_NUMBER_ADDRESS     0x1E7
#define DEFAULT_BANK_LENGTH             0x4000       // 16 KB
#define DEFAULT_BANK_NUMBER             0x20
#define DEFAULT_DISK_SIZE               (512*1024)   // 512 KB
#define DEFAULT_ROOT_DIR_ENTRIES        512
#define DEFAULT_SECTORS_PER_CLUSTER     2

#define ASD_MAJOR            0                       // dynamic major
#define NUM_SRAMDISKS        (1)
#define ADVSRAM_CHUNK1024(x) (( x ) >> 10 )          // chunk to KBytes

typedef struct _DISK_INFO {
   u_long   ul_DiskSize;
   u_long   ul_BankMemoryAddress;
   u_long   ul_BankSwitchAddress;
   u_long   ul_BankEnableAddress;
   u_long   ul_ManufactureIDAddress;
   u_long   ul_BankNumberAddress;
   u_long   ul_BankLength;
   u_long   ul_BankNumber;
   u_long   ul_BankForceFormat;
   u_long   ul_BankMappedMemoryAddress;
   u_long   ul_PureDRAM;
} DISK_INFO, *PDISK_INFO;

extern struct pci_dev *advdev;
extern DISK_INFO     AdvSRAMInfo;
#endif
